[KDE] Update

11 risposte [Ultimo contenuto]
Ritratto di smok3
smok3
(Junior)
Offline
Junior
Iscritto: 05/08/2005
Messaggi: 9

Salve a tutti, ho la KDE 3.3...

come posso aggiornala alla 3.4.2?

Ritratto di Noise
Noise
(Geek)
Offline
Geek
Iscritto: 02/02/2005
Messaggi: 107

pacchetti debian di KDE 3.4.2 non ce ne sono per ora, tiene sott'occhio questo repository che a giorni dovrebbe pubblicarlo.

http://pkg-kde.alioth.debian.org/

ciao

A sopravvivere non è la specie piu' forte, neanche quella più intelligente ma quella che si sa adattare meglio ai cambiamenti.... LINUX è evoluzione.

Ritratto di specialworld
specialworld
(Newbie)
Offline
Newbie
Iscritto: 05/08/2005
Messaggi: 2

Caro smok3 per potere fare l'update di kde 3.4 devi eseguire il seguente comando:

dpkg -u nome del pacchetto ,oppure basta che fai, dpkg -u * e con questo comando sarà dpkg a trovare tutte le dipendenze.Buona fortuna.

Ragazzi per qualsiasi consiglio su debian potete contattarmi.

Ritratto di smok3
smok3
(Junior)
Offline
Junior
Iscritto: 05/08/2005
Messaggi: 9

http://pkg-kde.alioth.debian.org/

lo devo inserire nel soucers.list di apt?

Ritratto di Noise
Noise
(Geek)
Offline
Geek
Iscritto: 02/02/2005
Messaggi: 107

Quote:

smok3 ha scritto:
http://pkg-kde.alioth.debian.org/

lo devo inserire nel soucers.list di apt?

esatto, ti basta inserire le 2 seguenti righe:

deb http://pkg-kde.alioth.debian.org/kde-3.4.1/ ./<br />deb-src http://pkg-kde.alioth.debian.org/kde-3.4.1/ ./<br />

per ora c'è kde 3.4.1, speriamo presto, anche kde 3.4.2.

ciao

A sopravvivere non è la specie piu' forte, neanche quella più intelligente ma quella che si sa adattare meglio ai cambiamenti.... LINUX è evoluzione.

Ritratto di submax
submax
(Monster)
Offline
Monster
Iscritto: 21/10/2004
Messaggi: 361

devi mettere anche questi

deb http://pkg-kde.alioth.debian.org/kde-3.4.0/ ./
deb-src http://pkg-kde.alioth.debian.org/kde-3.4.0/ ./

per l'italiano.......

go debian! Laughing

Ritratto di Noise
Noise
(Geek)
Offline
Geek
Iscritto: 02/02/2005
Messaggi: 107

Quote:

submax ha scritto:
devi mettere anche questi

deb http://pkg-kde.alioth.debian.org/kde-3.4.0/ ./
deb-src http://pkg-kde.alioth.debian.org/kde-3.4.0/ ./

per l'italiano.......

in effetti il language pack del 3.4.1 non è tutto tradotto Laughing

A sopravvivere non è la specie piu' forte, neanche quella più intelligente ma quella che si sa adattare meglio ai cambiamenti.... LINUX è evoluzione.

Ritratto di smok3
smok3
(Junior)
Offline
Junior
Iscritto: 05/08/2005
Messaggi: 9

Grazie per le risposte, sapete che porta usa APT?

cosi la abilito dal router/firewall e procedo all'update.

inoltre sapete i tempi di update per un:
Celeron 2500
256 MB Ram
Adsl 2 Mb

Ritratto di Noise
Noise
(Geek)
Offline
Geek
Iscritto: 02/02/2005
Messaggi: 107

Quote:

smok3 ha scritto:
sapete che porta usa APT?

se il repository inizia con http:// usa la porta 80, se invece inizia con ftp:// è la 21

ciao

A sopravvivere non è la specie piu' forte, neanche quella più intelligente ma quella che si sa adattare meglio ai cambiamenti.... LINUX è evoluzione.

Ritratto di smok3
smok3
(Junior)
Offline
Junior
Iscritto: 05/08/2005
Messaggi: 9

nel soucers.list ho inserito
deb http://pkg-kde.alioth.debian.org/kde-3.4.1/ ./<br />deb-src http://pkg-kde.alioth.debian.org/kde-3.4.1/ ./<br />deb http://pkg-kde.alioth.debian.org/kde-3.4.0/ ./<br />deb-src http://pkg-kde.alioth.debian.org/kde-3.4.0/ ./

dopo di che da console (root) ho richiamato il comando
dkpg -u *

e la shell ha risposto

dpkg: opzione -u non riconosciuta<br /><br />Usa dpkg --help per un aiuto su installazione e rimozione dei pacchetti [*];<br />Usa dselect per una gestione più amichevole dei pacchetti;<br />Usa dpkg -Dhelp per una lista delle opzioni di debug per dpkg;<br />Usa dpkg --force-help per una lista delle opzioni di forzatura;<br />Usa dpkg-deb --help per un aiuto sulla manipolazione dei file *.deb;<br />Usa dpkg --licence per la licenza di copia e mancanza di garanzia (GNU GPL) [*].<br />Le opzioni marcate con [*] producono molto output - utilizza una pipe con<br />`less&#039; o `more&#039; per leggerlo!<br />

ho provato quindi ad usare "aptitude"

e nella schermata appare:
Impossibile controllare la lista dei paccheti sorgente

nel file sources.list ho inserito i dati in questa maniera
<br />#**************************************<br /># KDE<br />#**************************************<br />deb http://pkg-kde.alioth.debian.org/kde-3.4.1/ ./<br />deb-src http://pkg-kde.alioth.debian.org/kde-3.4.1/ ./<br />deb http://pkg-kde.alioth.debian.org/kde-3.4.0/ ./<br />deb-src http://pkg-kde.alioth.debian.org/kde-3.4.0/ ./<br />

scusate la lunghezza del post, ma almeno in questa maniera ho illustrato la totalità dei passaggi ...
grazie e scusate il disturbo

Ritratto di Noise
Noise
(Geek)
Offline
Geek
Iscritto: 02/02/2005
Messaggi: 107

dopo che hai inserito i nuovi repository ti basta fare:

apt-get update &amp;&amp; apt-get dist-upgrade

automaticamente ti vengono scaricate le liste dei pacchetti e aggiornato tutto il sistema.

ciao

A sopravvivere non è la specie piu' forte, neanche quella più intelligente ma quella che si sa adattare meglio ai cambiamenti.... LINUX è evoluzione.